language: cn
model_unique_abbr: visibility_whiteboxtools
version: 1.0
identification:
  docker_image_name: whitebox-tools:2.0.0
  model_name: 可视性指数
  semantic: visibility
  description: 用于根据输入数字高程模型(DEM)的地形计算景观可见性的度量
  category_application: 描述型
  category_data:
  - DEM
  keywords:
  - 可见性
  - 可视性指数
parameter_info:
  parameters:
  - arg_name: r
    param_type: param
    visible: false
    name: 分析算法
    description: 使用哪个whitebox工具
    is_required: false
    data_type: str
    data_semantic: VisibilityIndex mode
    specification:
      default: VisibilityIndex
  - arg_name: DEM
    is_single_en_dash: false
    param_type: input_data
    name: DEM
    description: DEM数据（数值类型需要是浮点型）
    data_type: geotiff
    data_semantic: Input raster DEM file
  - arg_name: height
    is_single_en_dash: false
    param_type: param
    name: 高度
    description: 根据该高度计算可视性指数
    data_type: float
    data_semantic: Viewing station height, in z units
    specification:
      range:
      - "(0,)"
  - arg_name: res_factor
    is_single_en_dash: false
    param_type: param
    name: 分辨率系数
    description: 分辨率系数决定了测量视域的密度（可输入1~25范围内的整数）
    data_type: float
    data_semantic: The resolution factor determines the density of measured viewsheds
    specification:
      range:
      - "(0,)"
  - arg_name: output
    is_single_en_dash: false
    param_type: output_data
    name: 输出栅格
    description: 输出的栅格数据
    data_type: geotiff
    data_semantic: Output raster file
application:
  domain: 可视性指数
  objective: 根据输入数字高程模型(DEM)的地形计算景观可见性的度量
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 视域是根据分辨率因子为 DEM 中的格网像元子集计算的。可见性指数值(0.0-1.0)表示每个像元可见的测试桩号的比例(由分辨率因子确定)
operation:
  usage: 模型参数包括必选参数输入DEM,高度、分辨率和输出栅格数据。
  exec_example:
  - docker run --rm -it -v $PWD/data:/data registry.cn-hangzhou.aliyuncs.com/onesis-geomodels/whitebox-tools:2.0.0 -r=VisibilityIndex --dem='dem.tif' --output=output.tif --height=10.0 --res_factor=4 
  output_display: []
  license:
  - MIT
technique:
  language:
  - Rust
  os:
  - Linux
  - Windows
  parallel: []
  hardware: []
  dependencies:
  - {}
source:
  maintainer: Guangyu Ou
  organization: Wuhan University
  contact: 1049662535@qq.com
  repository: https://github.com/jblindsay/whitebox-tools
  integrated_softwares:
  - name: whitebox_tools
    version: 2.0.0
    license: MIT
  references:
  - 
